Subject: guitare : open-tuning et MIDI

From: Gerard <[email-masked]>
Date: Wed, 22 Feb 2023 09:32:27 +0100

Bonjour,

Pour la première fois, j'utilise un réaccordage de la guitare, en 
l'occurence la corde 6, normalement MI, descendue en RÉ, avec la commande :

  \set TabStaff.stringTunings = #guitar-drop-d-tuning

1. Ça marche pour la tablature, mais je ne sais pas si c'est bien placé 
dans mon ECM joint.

2. N'ayant pas l'oreille absolue (😭), est-ce que mon \midi me donne 
bien un RÉ sur cette corde à vide et non un MI, et est-ce que la 
commande doit être répétée à ce niveau ?

Merci de vos lumières !

Gérard

---

From: Martial R <[email-masked]>
Date: Wed, 22 Feb 2023 12:35:17 +0100

Bonjour,

oui,  le son RÉ  grave de la 69e corde est bien en sortie midi
mais pas besoin de mettre
"\set TabStaff.stringTunings = #guitar-drop-d-tuning"

-- 
Martial Rameaux

---

From: Jean Abou Samra <[email-masked]>
Date: Wed, 22 Feb 2023 12:42:50 +0100

Bonjour Gérard,

> commande doit être répétée à ce niveau ?

D'abord, je tiens à remarquer qu'il n'y a absolument pas besoin
d'avoir l'oreille absolue (que la plupart des musiciens, y compris
professionnels, n'ont pas) pour distinguer un ré d'un mi : il suffit
de prendre auparavant une référence, en jouant un ré sur un piano
ou en écoutant le la d'un diapason.

En sortie MIDI, LilyPond met toujours exactement les notes qui ont
été entrées. Tu as écrit « d,4 d' », donc LilyPond joue des rés.
L'accordage n'a d'influence que sur la partition PDF, pour la corde
et le numéro de case affectés à chaque note. Donc, tu peux te passer
du `\set TabStaff.stringTunings` dans le `\midi`. Le placement à
l'intérieur du `<< >>` convient, mais il est peut-être plus naturel
de le mettre dans le `\layout`, avec

```
\layout {
}
```

ou

```
\layout {
  \context {
    \TabStaff
    stringTunings = #guitar-drop-d-tuning
  }
}
```

Cordialement,

Jean

---

From: Gerard <[email-masked]>
Date: Wed, 22 Feb 2023 13:48:44 +0100

Merci Martial et Jean pour votre réponse/explication. J'applique ce qui 
est dit !

Pour l'oreille, je vais m'entraîner !

G.

Le 22/02/2023 à 12:42, Jean Abou Samra a écrit :
> de prendre auparavant une référence, en jouant un ré sur un piano ou 
> en écoutant le la d'un diapason.
>
> En sortie MIDI, LilyPond met toujours exactement les notes qui ont été 
> entrées. Tu as écrit « d,4 d' », donc LilyPond joue des rés. 
> L'accordage n'a d'influence que sur la partition PDF, pour la corde et 
> le numéro de case affectés à chaque note. Donc, tu peux te passer du 
> |\set TabStaff.stringTunings| dans le |\midi|. Le placement à 
> l'intérieur du |<< >>| convient, mais il est peut-être plus naturel de 
> le mettre dans le |\layout|, avec
>
> |\layout { \set TabStaff.stringTunings = #guitar-drop-d-tuning } |
>
> ou
>
> |\layout { \context { \TabStaff stringTunings = #guitar-drop-d-tuning } } |
>
> Cordialement,
>
> Jean
>